package com.huimv.produce.controller;

import com.huimv.common.utils.Result;
import com.huimv.produce.service.IWeight;
import com.huimv.produce.utils.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.text.ParseException;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@CrossOrigin
@RestController
@RequestMapping(value = "/produce/weight")
@Slf4j
public class WeightController {
    @Autowired
    private IWeight weight;
    @Autowired
    private DateUtil dateUtil;

    //指定查询日期期间
    @RequestMapping(value = "/getWeight")
    public Result getDayWeight(@RequestParam(value = "farmId",required = true) Integer farmId,@RequestParam(value = "startDate",required = true) String startDate,@RequestParam(value = "endDate",required = true) String endDate){
        log.info("farmId>>"+farmId);
        log.info("startDate>>"+startDate);
        log.info("endDate>>"+endDate);
        //
        return weight.getDayWeight(farmId,startDate,endDate);
    }

    //近7次卖猪数据
    @RequestMapping(value = "/getWeightLastNtimes")
    public Result getDayWeightLastNtimes(@RequestParam(value = "farmId",required = true) Integer farmId,@RequestParam(value = "days",required = true) Integer days){
        log.info("farmId>>"+farmId);
        log.info("days>>"+days);
        //
        return weight.getDayWeightLastNtimes(farmId,days);
    }

    //本月统计
    @RequestMapping(value = "/getWeightInOneMonth")
    public Result getDayWeightInOneMonth(@RequestParam(value = "farmId",required = true) Integer farmId){
        log.info("farmId>>"+farmId);
        String startDateText = dateUtil.getMonthStart();
        log.info("startDateText>>"+startDateText);
        String endDateText = dateUtil.getMonthEnd();
        log.info("endDateText>>"+endDateText);
        //
        return weight.getDayWeight(farmId,startDateText,endDateText);
    }

    //当天统计
    @RequestMapping(value = "/getWeightOnToday")
    public Result getDayWeightOnToday(@RequestParam(value = "farmId",required = true) Integer farmId) throws ParseException {
        log.info("farmId>>"+farmId);
        String todayDateText = dateUtil.getTodayDateText();
        log.info("startDate>>"+todayDateText);
        log.info("endDate>>"+todayDateText);
        //
        return weight.getDayWeight(farmId,todayDateText,todayDateText);
    }

}
